nvme_identify_uuid(2)

NAME
nvme_identify_uuid - Retrieves device's UUIDs

SYNOPSIS
int nvme_identify_uuid (int fd , struct nvme_id_uuid_list *uuid_list );

ARGUMENTS

fd  File descriptor of nvme device

uuid_list
    User space destination address to transfer the data

DESCRIPTION
Each UUID List entry is either 0h, the NVMe Invalid UUID, or a valid UUID. Valid UUIDs are those which are non-zero and are not the NVMe Invalid UUID.

See struct nvme_id_uuid_list for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.